Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.ant
Class Ssh

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.sshtools.ant.Ssh

public class Ssh
extends org.apache.tools.ant.Task

Nested Class Summary
`class` | `Ssh.Exec`
`class` | `Ssh.Shell`

Field Summary
`protected boolean` | `always`
`protected java.lang.String` | `cipher`
`protected java.lang.String` | `fingerprint`
`protected java.lang.String` | `host`
`protected java.lang.String` | `keyfile`
`protected java.lang.String` | `logfile`
`protected java.lang.String` | `mac`
`protected java.lang.String` | `newline`
`protected java.lang.String` | `passphrase`
`protected java.lang.String` | `password`
`protected int` | `port`
`protected SshClient` | `ssh`
`protected java.lang.String` | `sshtoolsHome`
`protected java.util.Vector` | `tasks`
`protected java.lang.String` | `username`
`protected boolean` | `verifyhost`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Ssh()`

Method Summary
`protected void` | `connectAndAuthenticate()`
`SshSubTask` | `createExec()`
`SshSubTask` | `createSftp()`
`SshSubTask` | `createShell()`
`protected void` | `disconnect()`
`void` | `execute()`
`protected void` | `executeSubTasks()`
`protected boolean` | `hasMoreSftpTasks()`
`void` | `setAlways(boolean always)`
`void` | `setCipher(java.lang.String cipher)`
`void` | `setFingerprint(java.lang.String fingerprint)`
`void` | `setHost(java.lang.String host)`
`void` | `setKeyfile(java.lang.String keyfile)`
`void` | `setLogfile(java.lang.String logfile)`
`void` | `setMac(java.lang.String mac)`
`void` | `setNewline(java.lang.String newline)`
`void` | `setPassphrase(java.lang.String passphrase)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPort(int port)`
`void` | `setSshtoolshome(java.lang.String sshtoolsHome)`
`void` | `setUsername(java.lang.String username)`
`void` | `setVerifyhost(boolean verifyhost)`
`protected void` | `validate()`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorOutput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### host

    protected java.lang.String host

### port

    protected int port

### username

    protected java.lang.String username

### password

    protected java.lang.String password

### keyfile

    protected java.lang.String keyfile

### passphrase

    protected java.lang.String passphrase

### cipher

    protected java.lang.String cipher

### mac

    protected java.lang.String mac

### fingerprint

    protected java.lang.String fingerprint

### logfile

    protected java.lang.String logfile

### verifyhost

    protected boolean verifyhost

### always

    protected boolean always

### ssh

    protected SshClient ssh

### tasks

    protected java.util.Vector tasks

### sshtoolsHome

    protected java.lang.String sshtoolsHome

### newline

    protected java.lang.String newline

Constructor Detail

### Ssh

    public Ssh()

Method Detail

### validate

    protected void validate()
                     throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### connectAndAuthenticate

    protected void connectAndAuthenticate()
                                   throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### disconnect

    protected void disconnect()
                       throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### executeSubTasks

    protected void executeSubTasks()
                            throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setUsername

    public void setUsername(java.lang.String username)

### setPassword

    public void setPassword(java.lang.String password)

### setPort

    public void setPort(int port)

### setNewline

    public void setNewline(java.lang.String newline)

### setHost

    public void setHost(java.lang.String host)

### setKeyfile

    public void setKeyfile(java.lang.String keyfile)

### setPassphrase

    public void setPassphrase(java.lang.String passphrase)

### setCipher

    public void setCipher(java.lang.String cipher)

### setMac

    public void setMac(java.lang.String mac)

### setLogfile

    public void setLogfile(java.lang.String logfile)

### setFingerprint

    public void setFingerprint(java.lang.String fingerprint)

### setVerifyhost

    public void setVerifyhost(boolean verifyhost)

### setAlways

    public void setAlways(boolean always)

### setSshtoolshome

    public void setSshtoolshome(java.lang.String sshtoolsHome)

### hasMoreSftpTasks

    protected boolean hasMoreSftpTasks()

### createShell

    public SshSubTask createShell()

### createExec

    public SshSubTask createExec()

### createSftp

    public SshSubTask createSftp()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD